<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.3) on Sun May 26 21:48:59 CEST 2019 -->
<title>T-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-26">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="T-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:T">
<!--   -->
</a>
<h2 class="title">T</h2>
<dl>
<dt><a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text"><span class="typeNameLink">Text</span></a> - Class in <a href="../org/david/geo/text/package-summary.html">org.david.geo.text</a></dt>
<dd>
<div class="block">This class is used to store all parameters to draw a string (text) in a
 <code>java.awt.Graphics</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#%3Cinit%3E(java.lang.String,org.david.geo.shapes.Point,org.david.geo.style.CustomColor,java.awt.Font)">Text(String, Point, CustomColor, Font)</a></span> - Constructor for class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">Create a <code>Text</code> class with all attributes given.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#%3Cinit%3E(org.david.geo.shapes.Point)">Text(Point)</a></span> - Constructor for class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">create a <code>Text</code> class from the coordinates.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/text/Text.html#%3Cinit%3E(org.david.geo.shapes.Point,java.lang.String)">Text(Point, String)</a></span> - Constructor for class org.david.geo.text.<a href="../org/david/geo/text/Text.html" title="class in org.david.geo.text">Text</a></dt>
<dd>
<div class="block">Create a simple <code>Text</code> class.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/template/IsvgTemplate.html#TEXT_TMPL">TEXT_TMPL</a></span> - Static variable in class org.david.template.<a href="../org/david/template/IsvgTemplate.html" title="class in org.david.template">IsvgTemplate</a></dt>
<dd>
<div class="block">text template.</div>
</dd>
<dt><a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber"><span class="typeNameLink">TextLineNumber</span></a> - Class in <a href="../lib/textlinenumber/package-summary.html">lib.textlinenumber</a></dt>
<dd>
<div class="block">This class will display line numbers for a related text component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#%3Cinit%3E(javax.swing.text.JTextComponent)">TextLineNumber(JTextComponent)</a></span> - Constructor for class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">Create a line number component for a text component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../lib/textlinenumber/TextLineNumber.html#%3Cinit%3E(javax.swing.text.JTextComponent,int)">TextLineNumber(JTextComponent, int)</a></span> - Constructor for class lib.textlinenumber.<a href="../lib/textlinenumber/TextLineNumber.html" title="class in lib.textlinenumber">TextLineNumber</a></dt>
<dd>
<div class="block">Create a line number component for a text component.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/primitive/Primitive.html#transform(java.awt.Graphics2D)">transform(Graphics2D)</a></span> - Method in class org.david.geo.primitive.<a href="../org/david/geo/primitive/Primitive.html" title="class in org.david.geo.primitive">Primitive</a></dt>
<dd>
<div class="block">transform the 2D graphic.</div>
</dd>
<dt><a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform"><span class="typeNameLink">Transform</span></a> - Class in <a href="../org/david/geo/transform/package-summary.html">org.david.geo.transform</a></dt>
<dd>
<div class="block">This class stores the specific parameters to translate or rotate
 a <code>Primitive</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/transform/Transform.html#%3Cinit%3E(double)">Transform(double)</a></span> - Constructor for class org.david.geo.transform.<a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></dt>
<dd>
<div class="block">Create a <code>Transform</code> from an angle in degrees.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/transform/Transform.html#%3Cinit%3E(org.david.geo.shapes.Point)">Transform(Point)</a></span> - Constructor for class org.david.geo.transform.<a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></dt>
<dd>
<div class="block">Create a <code>Transform</code> from two coordinates
 x and y stored in a <code>Point</code> only.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/geo/transform/Transform.html#%3Cinit%3E(org.david.geo.shapes.Point,double)">Transform(Point, double)</a></span> - Constructor for class org.david.geo.transform.<a href="../org/david/geo/transform/Transform.html" title="class in org.david.geo.transform">Transform</a></dt>
<dd>
<div class="block">Create a <code>Transform</code> from an angle in degrees and two coordinates
 x and y stored in a <code>Point</code>.</div>
</dd>
<dt><span class="memberNameLink"><a href="../org/david/template/IsvgTemplate.html#TRANSFORM_TMPL">TRANSFORM_TMPL</a></span> - Static variable in class org.david.template.<a href="../org/david/template/IsvgTemplate.html" title="class in org.david.template">IsvgTemplate</a></dt>
<dd>
<div class="block">g transform.</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">O</a>&nbsp;<a href="index-13.html">P</a>&nbsp;<a href="index-14.html">R</a>&nbsp;<a href="index-15.html">S</a>&nbsp;<a href="index-16.html">T</a>&nbsp;<a href="index-17.html">W</a>&nbsp;<a href="index-18.html">X</a>&nbsp;<a href="index-19.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
